Bug 1566210 - Missing build for armv7hl
Summary: Missing build for armv7hl
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kubernetes
Version: 27
Hardware: armv7hl
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Chaloupka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-11 19:06 UTC by Lennart Jern
Modified: 2018-11-30 20:58 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 20:58:48 UTC
Type: Bug


Attachments (Terms of Use)

Description Lennart Jern 2018-04-11 19:06:20 UTC
Description of problem: There is no build for armv7hl (e.g. Raspberry Pi) for the kubernetes package.


Version-Release number of selected component (if applicable):


How reproducible: Every time.


Steps to Reproduce:
1. Try to install: `dnf install kubernetes`

Actual results: No package is found.


Expected results: The kubernetes package is installed.


Additional info:

I tried building it using [koji][1], but the build failed. However, I'm not sure I did it correctly. I would love to help testing and learn how to build the package if someone can guide me through it. :)

[1]: https://koji.fedoraproject.org/koji/taskinfo?taskID=26309097

Comment 1 Jan Chaloupka 2018-04-12 08:58:44 UTC
The kubernetes.spec has

ExclusiveArch:  x86_64 aarch64 ppc64le s390x

which successfully excludes the arm architecture. Enabling that arch and scratch-building the k8s succeeds: https://koji.fedoraproject.org/koji/taskinfo?taskID=26319858

So it's just enough to add the arch.

Comment 2 Lennart Jern 2018-04-12 17:49:25 UTC
Wonderful!

I also managed to build the packages for f27 now and successfully installed them on my Raspberry Pi. :)

Comment 3 Jan Chaloupka 2018-04-13 15:07:45 UTC
Good to hear :) I have also build the 1.9.6 in f27+. Though, I will request for an update once https://bugzilla.redhat.com/show_bug.cgi?id=1558425 gets resolved.

f28: https://koji.fedoraproject.org/koji/buildinfo?buildID=1070097
f27: https://koji.fedoraproject.org/koji/buildinfo?buildID=1070096

Comment 4 Ben Cotton 2018-11-27 16:12:29 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Ben Cotton 2018-11-30 20:58:48 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.